ResourceDetailsPanel (gCube Resource Management Portlet 6.4.0-4.7.0-150651 API)
Date: 2017-10-12

org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails

## Class ResourceDetailsPanel

- java.lang.Object
- - org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails.ResourceDetailsPanel

-     public class ResourceDetailsPanel
      extends Object

  Version:
    2.1 APR 2012
  Author:
    Massimiliano Assante (ISTI-CNR), Daniele Strollo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceDetailsPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.extjs.gxt.ui.client.widget.ContentPanel` | `getContainer()`
    `List<com.extjs.gxt.ui.client.data.ModelData>` | `getElemsForInstall()`
    `com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData>` | `getGrid()`
    `List<com.extjs.gxt.ui.client.data.ModelData>` | `getSelection()`
    `com.extjs.gxt.ui.client.widget.toolbar.ToolBar` | `getToolBar()`
    `com.extjs.gxt.ui.client.widget.Component` | `getWidget()`
    `void` | `init()` Method called at initialization phase (Constructor).
    `void` | `initToolbar()`
    `void` | `refreshModel()`
    `void` | `setGrid(com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> grid, boolean groupingEnabled)`
    `void` | `setWidget(com.extjs.gxt.ui.client.widget.Component widget, boolean enableGrouping)`
    `void` | `toggleHighlightInvalidFields()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceDetailsPanel

          public ResourceDetailsPanel()

  - ### Method Detail

    - #### getElemsForInstall

          public final List<com.extjs.gxt.ui.client.data.ModelData> getElemsForInstall()

    - #### refreshModel

          public final void refreshModel()

    - #### getSelection

          public final List<com.extjs.gxt.ui.client.data.ModelData> getSelection()

    - #### init

          public final void init()

      Method called at initialization phase (Constructor).

    - #### toggleHighlightInvalidFields

          public final void toggleHighlightInvalidFields()

    - #### getToolBar

          public final com.extjs.gxt.ui.client.widget.toolbar.ToolBar getToolBar()

    - #### getWidget

          public final com.extjs.gxt.ui.client.widget.Component getWidget()

    - #### getGrid

          public final com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> getGrid()

    - #### setWidget

          public final void setWidget(com.extjs.gxt.ui.client.widget.Component widget,
                                      boolean enableGrouping)

    - #### getContainer

          public final com.extjs.gxt.ui.client.widget.ContentPanel getContainer()

    - #### initToolbar

          public final void initToolbar()

    - #### setGrid

          public final void setGrid(com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> grid,
                                    boolean groupingEnabled)

Copyright © 2017. All Rights Reserved.